Articles of gradle

Android Studio: “Usar el gradle wrapper predeterminado” vs. “Usar el gradle wrapper personalizable”

¿Cuál es exactamente la diferencia entre las opciones de Gradle de Android Studio? Android Studio->Preferences->Gradle Use default gradle wrapper (recommended) y Use customizable gradle wrapper . Fondo: Estoy trabajando en un proyecto de Android en Android Studio y usando un contenedor Gradle. Sin embargo, cuando uso la configuración de Android Studio, “Usar contenedor de gradlew […]

La actualización del proyecto Gradle falló después de la actualización de Android Studio

Aquí está el resultado: 11:57:04 Error de actualización del proyecto de Gradle ‘KeddreaderProject’: Causa: org.gradle.internal.service.ServiceLocator. ([Ljava / lang / ClassLoader;) V: Intenté eliminar la carpeta .gradle, pero no ayuda. ¿Cual puede ser el problema? Editar: Recibo este error incluso cuando trato de importar cualquier otro proyecto en Ubuntu 13.10. Pero en Windows todo funciona bien […]

Android copia un proyecto existente con un nuevo nombre en Android Studio

Me gustaría copiar mi proyecto de Android y crear un nuevo proyecto a partir de los mismos archivos con un nombre diferente. El objective de esto es que pueda tener una segunda versión de mi aplicación compatible con publicidad en la tienda de aplicaciones. Encontré esta respuesta aquí: Android: copia el proyecto existente con un […]

Confundido sobre testCompile y androidTestCompile en Android Gradle

Soy nuevo en el mundo de las pruebas y más aún en el mundo de las pruebas de Android. Mientras hago una investigación sobre Robolectric que ayuda con las pruebas en Android, una cosa me confunde más. A veces, en la web veo personas usando la palabra clave testCompile en las dependencias del script de […]

agregar repository maven a build.gradle

Agregué un repository maven personalizado para build.gradle en Android Studio pero no se encuentra la dependencia Repositorio y dependencia de Maven achartengine Public AChartEngine repository https://repository-achartengine.forge.cloudbees.com/snapshot/ org.achartengine achartengine 1.2.0 build.gradle buildscript { repositories { mavenCentral() maven { url “https://repository-achartengine.forge.cloudbees.com/snapshot/” } } dependencies { classpath ‘com.android.tools.build:gradle:0.6.+’ } } apply plugin: ‘android’ dependencies { compile fileTree(dir: ‘libs’, […]

Agregar ViewPagerIndicator a Android Studio

Estoy intentando que ViewPagerIndicator de Jake Wharton trabaje con Android Studio, pero desafortunadamente no funcionará. Descargué el archivo .aar de aquí y lo incluí en mi carpeta libs. Lo hice referencia así: compile files(‘src/main/libs/viewpagerindicator_2.4.1.aar’) Android Studio me da el siguiente error: Error:duplicate files during packaging of APK No estoy muy familiarizado con Gradle y no […]

En Gradle, ¿cómo declaro las dependencias comunes en un solo lugar?

En Maven hay una característica muy útil cuando se puede definir una dependencia en la sección del POM padre, y hacer referencia a esa dependencia desde los módulos secundarios sin especificar la versión o el scope o lo que sea. ¿Cuáles son las alternativas en Gradle?

Android Studio Stuck at Gradle Descargar en crear nuevo proyecto

He instalado el nuevo Android Studio . Todo funcionaba bien, pero cuando bash crear un nuevo proyecto, se bloquea al descargar Gradle . ¿Hay alguna forma de instalar el Gradle requerido por Android Studio manualmente? O cualquier otro método para resolver este problema?

Cómo agregar colecciones de Apache commons en Android Studio (Gradle)

Estoy tratando de usar ListUtils pero cuando ejecuté la aplicación obtuve este error: Caused by: java.lang.ClassNotFoundException: Didn’t find class “org.apache.commons.collections.ListUtils” on path: DexPathList[[zip file “/data/app/com.meridianaspect.wiw-2/base.apk”],nativeLibraryDirectories=[/vendor/lib, /system/lib]] Así que supongo que tengo que importar esa biblioteca a través de Gradle de alguna manera, pero no sé cómo hacer eso.

¿Cómo uso las herramientas: overrideLibrary en un archivo build.gradle?

Estoy usando las bibliotecas Leanback, que requieren Android 17 o posterior. Sin embargo, mi aplicación es compatible con un minSDK de 16, así que recibo un error de comstackción de gradle diciendo Error:Execution failed for task ‘:Tasks:processPhoneDebugManifest’. > Manifest merger failed : uses-sdk:minSdkVersion 16 cannot be smaller than version 17 declared in library /Users/mike/Projects/android-for-dummies-v3/Tasks/build/intermediates/exploded-aar/com.android.support/leanback-v17/21.0.2/AndroidManifest.xml Suggestion: […]